> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datanumia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the list of electricity energy prices jobs

> Returns the list of electricity energy prices jobs that can be requested.

Results are paginated.




## OpenAPI

````yaml /api-reference/elec-tariff-api.yaml get /v2/electricity-prices-jobs
openapi: 3.0.1
info:
  title: Tariffs lifecycle
  contact:
    email: api@datanumia.com
  license:
    name: License TBD
    url: https://datanumia.com/licenses/LICENSE
  version: v1
servers:
  - url: https://api.home.datanumia.com/api
    description: Production Server
security: []
paths:
  /v2/electricity-prices-jobs:
    get:
      tags:
        - Electricity energy prices Bulk
      summary: Get the list of electricity energy prices jobs
      description: >
        Returns the list of electricity energy prices jobs that can be
        requested.


        Results are paginated.
      operationId: electricity-prices-get-jobs
      parameters:
        - name: page
          in: query
          description: the page to be fetched. Default value is 0
          example: '0'
          schema:
            type: string
        - name: size
          in: query
          description: the page size to be fetched. Default value is 100. Max value is 100
          example: 0
          schema:
            type: integer
            default: 100
            maximum: 100
        - name: state
          in: query
          description: the state of the jobs be fetched
          example: DONE,ERROR
          schema:
            type: array
            enum:
              - ERROR
              - DONE
              - IN_PROGRESS
              - SUBMITTED
        - name: beginTs
          in: query
          description: >
            Define the start timestamp for the range of jobs. Jobs objects
            having their state updated within the range are returned.


            The supported format is as defined by RFC 3339, section 5.6
            restricted to : full-date'T'partial-time'Z'


            Default is now -7 days. Period between beginTs and endTs is at most
            30 days.
          schema:
            type: string
            format: date-time
          example: '2021-07-21T17:32:28Z'
        - name: endTs
          in: query
          description: >
            Define the end timestamp for the range of jobs. Jobs objects having
            their state updated within the range are returned.


            The supported format is as defined by RFC 3339, section 5.6
            restricted to : full-date'T'partial-time'Z'


            Default is now. Period between beginTs and endTs is at most 30 days.
          schema:
            type: string
            format: date-time
          example: '2021-08-21T17:32:28Z'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ElecPriceJobsList'
        '400':
          description: Functional Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content: {}
        '404':
          description: Not Found
          content: {}
        '500':
          description: Server error
          content: {}
components:
  schemas:
    ElecPriceJobsList:
      required:
        - page
        - _links
        - _embedded
      type: object
      properties:
        _links:
          $ref: '#/components/schemas/ElecPriceJobsListLinks'
        page:
          $ref: '#/components/schemas/ElecPricePage'
        _embedded:
          $ref: '#/components/schemas/ElecPriceJobsListEmbedded'
    ErrorResponse:
      required:
        - errorCode
        - errorDescription
      type: object
      properties:
        errorCode:
          description: The error code.
          type: string
        errorDescription:
          type: string
          description: The error description
      description: ErrorResponse
    ElecPriceJobsListLinks:
      required:
        - first
        - prev
        - self
        - next
        - last
      type: object
      properties:
        first:
          $ref: '#/components/schemas/ElecPriceJobsListLinkFirst'
        prev:
          $ref: '#/components/schemas/ElecPriceJobsListLinkPrev'
        self:
          $ref: '#/components/schemas/ElecPriceJobsListLinkSelf'
        next:
          $ref: '#/components/schemas/ElecPriceJobsListLinkNext'
        last:
          $ref: '#/components/schemas/ElecPriceJobsListLinkLast'
    ElecPricePage:
      required:
        - size
        - totalElements
        - totalPages
        - number
      type: object
      properties:
        totalElements:
          type: integer
          description: number of items in the result
          example: 122
        totalPages:
          type: integer
          description: number of pages in the result
          example: 2
        number:
          type: integer
          description: current page returned
          example: 1
        size:
          type: integer
          description: page size
          example: 100
    ElecPriceJobsListEmbedded:
      required:
        - jobs
      type: object
      properties:
        jobs:
          type: array
          items:
            $ref: '#/components/schemas/ElecPriceJobEmbeddedResponse'
    ElecPriceJobsListLinkFirst:
      required:
        - href
      type: object
      properties:
        href:
          type: string
          example: >-
            https://<DATANUMIA_ROOT_URL>/electricity-prices-jobs?page=0&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z
    ElecPriceJobsListLinkPrev:
      required:
        - href
      type: object
      properties:
        href:
          type: string
          example: >-
            https://<DATANUMIA_ROOT_URL>/electricity-prices-jobs?page=0&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z
    ElecPriceJobsListLinkSelf:
      required:
        - href
      type: object
      properties:
        href:
          type: string
          example: >-
            https://<DATANUMIA_ROOT_URL>/electricity-prices-jobs?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z
    ElecPriceJobsListLinkNext:
      required:
        - href
      type: object
      properties:
        href:
          type: string
          example: >-
            https://<DATANUMIA_ROOT_URL>/electricity-prices-jobs?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z
    ElecPriceJobsListLinkLast:
      required:
        - href
      type: object
      properties:
        href:
          type: string
          example: >-
            https://<DATANUMIA_ROOT_URL>/electricity-prices-jobs?page=1&beginTs=2021-07-21T00:00:00Z&endTs=2021-07-28T00:00:00Z
    ElecPriceJobEmbeddedResponse:
      required:
        - archive
        - state
      type: object
      properties:
        archive:
          type: string
          description: |
            Name of the archive associated with this job execution.
          example: myOperationsArchive.tar.gz
        state:
          $ref: '#/components/schemas/ElecPriceJobEmbeddedResponseState'
        report:
          $ref: '#/components/schemas/ElecPriceJobEmbeddedReport'
        _links:
          $ref: '#/components/schemas/JobElecPriceLinks'
    ElecPriceJobEmbeddedResponseState:
      type: object
      required:
        - current
        - ts
      properties:
        current:
          type: string
          description: |
            current state of the bulk job.
          enum:
            - ERROR
            - DONE
            - IN_PROGRESS
            - SUBMITTED
          example: DONE
        ts:
          type: string
          description: >
            Timestamp of the state  change in Home as defined by RFC 3339,
            section 5.6 using the following format: full-date'T'partial-time'Z'
          format: date-time
          example: '2017-07-21T17:32:28Z'
    ElecPriceJobEmbeddedReport:
      properties:
        error:
          $ref: '#/components/schemas/ElecPriceErrorDescriptionJob'
        overview:
          $ref: '#/components/schemas/ElecPriceExecutionReportOverview'
    JobElecPriceLinks:
      required:
        - self
      type: object
      properties:
        self:
          $ref: '#/components/schemas/JobElecPriceLinkSelf'
    ElecPriceErrorDescriptionJob:
      required:
        - code
        - message
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_ARCHIVE_FORMAT
        message:
          type: string
    ElecPriceExecutionReportOverview:
      properties:
        nbOperationsTotal:
          type: integer
          description: |
            number of executed contract operations
          example: 146
        nbOperationsOK:
          type: integer
          description: |
            number of succeed operations
          example: 146
        nbOperationsKO:
          type: integer
          description: |
            number of failed operations
          example: 0
    JobElecPriceLinkSelf:
      required:
        - href
      type: object
      properties:
        href:
          type: string
          example: https://<DATANUMIA_ROOT_URL>/electricity-prices-jobs/{job-id}

````